curl --request GET \
--url https://api.steuerboard.com/v1/files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-id: <x-client-id>'import requests
url = "https://api.steuerboard.com/v1/files/{id}"
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<x-client-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.steuerboard.com/v1/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q19z",
"documentDate": "2021-01-01T00:00:00Z",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"name": "document.pdf",
"mimetype": "application/pdf",
"size": 1024,
"workspaceId": "cmf41ajzv003706un4i99q19z",
"createdById": "cmf41ajzv003706un4i99q19z",
"taskId": "cmf41ajzv003706un4i99q19z",
"folderId": "cmf41ajzv003706un4i99q19z",
"labelIds": [
"cmf41ajzv003706un4i99q19z"
]
}{
"type": "bad_request",
"message": "<string>"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"message": "File not found"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"id"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.Get a file
Returns a single file by ID.
Authorizations
Bearer token authentication
Headers
The ID of the client
"cmf41ajzv003706un4i99q19z"
Path Parameters
The ID of the item
"cmf41ajzv003706un4i99q19z"
Response
File
The ID of the file
"cmf41ajzv003706un4i99q19z"
The date of the document (not the upload date)
"2021-01-01T00:00:00Z"
The date and time of the creation for the file. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The date and time of the last update for the file. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
"2021-01-01T00:00:00Z"
The name of the file
"document.pdf"
The mime type of the file
"application/pdf"
The size of the file in bytes
1024
The ID of the workspace
"cmf41ajzv003706un4i99q19z"
The ID of the creator
"cmf41ajzv003706un4i99q19z"
The ID of the task this file was uploaded to.
"cmf41ajzv003706un4i99q19z"
The ID of the folder this file was uploaded to.
"cmf41ajzv003706un4i99q19z"
The IDs of the assigned labels
["cmf41ajzv003706un4i99q19z"]